roasOS
API referenceVoices

Search voices by purpose and traits

GET
/v1/voices/search

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/voices/search"
{  "data": [    {      "voice": "string",      "source": "library",      "name": "string",      "description": "string",      "model": "string",      "preview_url": "http://example.com",      "gender": "string",      "age": "string",      "language": "string",      "accent": "string",      "use_case": "string",      "score": 0    }  ]}